2022-01-03 20:21:40 UTC
99.3 MB
42670A7FE4D0441C8E4632349E4FDC074A4EF02D 5A52880781F755608BF815FC910DEB46F53EA312
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-7.4.27.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA2563f8b937310f155822752229c2c2feb8cc2621e25a728e7b94d0d74c128c43d0c
PHP_URLhttps://www.php.net/distributions/php-7.4.27.tar.xz
PHP_VERSION7.4.27
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.5.2
[#000] sha256:59bf1c3509f33515622619af21ed55bbe26d24913cedbca106468a5fb37a50c3 - 2.71% (2.69 MB)
[#001] sha256:7c7da25b2876b1c935b05d7e6efa3e8cd559d031cf30b246d7659ed438726acd - 1.64% (1.63 MB)
[#002] sha256:2bc599114627e3bd98e0204b93b161e03065bf9a228bb02ae202469655f12b8d - 0.0% (1.23 KB)
[#003] sha256:927a0b37a45a98d7d74a6d7d1567230eca834fb89417274557de7986d1f39401 - 0.0% (268 Bytes)
[#004] sha256:1766f36e243204230864aae259fa8d12fdda76c89b956a3b9bcdcd5c31a8c9ef - 10.02% (9.96 MB)
[#005] sha256:4c13e0891ac660b715dfe53bf482915dcb962b95a169234aa4f033bb7caf215a - 0.0% (495 Bytes)
[#006] sha256:2cec0bbb4ba94fa7813bc824e3fca473804b8ac86e724df950f2be856012acf0 - 13.81% (13.7 MB)
[#007] sha256:b36e8fdf02649d8741b52fae3aff8f1a5b6308ee21bbaeb2684e8f5ce995b58c - 0.0% (2.25 KB)
[#008] sha256:387739aab6be35cf80c52019fa665f930b4952944eb8ba5f21bdc1dc6240d620 - 0.02% (17.8 KB)
[#009] sha256:d73f4116d27c8957a7b78ad72b5330e21d00ad60792a5427759bbdc15e6a7971 - 0.01% (8.25 KB)
[#010] sha256:3ceb3f8bbb3f48e448a9b9f8e54bbb5a9827fb975ebfac858aec12ee9561af78 - 5.28% (5.25 MB)
[#011] sha256:b8e1b279dad48f13f577dea5b5b358ca3dd023874b090d364ba3c87d86e37dfb - 58.48% (58.1 MB)
[#012] sha256:0045695f511ca6b3e62897b1f871bc267e8e3bd1762a1295f5faba06b02947ec - 0.55% (560 KB)
[#013] sha256:5f30a643ecdf561cd146dca43bc7e772ec2a888b315b3d30fab04a36532827e8 - 7.47% (7.42 MB)
[#014] sha256:ace4976bfc7f51aaff128b8943b09e4d839f568357a536ba01fbb86760316612 - 0.0% (1.66 KB)
[#015] sha256:eae895404a02ce7a2bee17d38860e2c8e99d78357bba1ae73e894d33aac2bf03 - 0.0% (368 Bytes)
[#016] sha256:f7fdbd8fdd6704bd4078528752cf1d01f27f64cc7fc537039d7c397ed93568a8 - 0.0% (1.98 KB)
/bin/sh -c #(nop) ADD file:9233f6f2237d79659a9521f7e390df217cec49f1a8aa3a12147bbca1956acdb9 in /
2021-11-24 20:19:40 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-30 07:06:02 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2021-11-30 07:06:03 UTC/bin/sh -c apk add --no-cache ca-certificates curl tar xz openssl
2021-11-30 07:06:04 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2021-11-30 07:06:04 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2021-11-30 07:06:05 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html
2021-11-30 07:06:05 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2021-11-30 07:06:06 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2021-11-30 07:06:06 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2021-11-30 08:10:36 UTC/bin/sh -c #(nop) ENV GPG_KEYS=42670A7FE4D0441C8E4632349E4FDC074A4EF02D 5A52880781F755608BF815FC910DEB46F53EA312
2021-12-16 22:26:34 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.4.27
2021-12-16 22:26:35 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-7.4.27.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-7.4.27.tar.xz.asc
2021-12-16 22:26:35 UTC/bin/sh -c #(nop) ENV PHP_SHA256=3f8b937310f155822752229c2c2feb8cc2621e25a728e7b94d0d74c128c43d0c
2021-12-16 22:26:53 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2021-12-16 22:26:54 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2021-12-16 22:44:38 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-openssl --with-readline --with-zlib --with-pear $(test "$gnuArch" = 's390x-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2021-12-16 22:44:40 UTC/bin/sh -c #(nop) COPY multi:7d7d4b016ee2e2e18720a1a58004eb4d59de798c619f217398cc1066a656bfd0 in /usr/local/bin/
2021-12-16 22:44:42 UTC/bin/sh -c docker-php-ext-enable sodium
2021-12-16 22:44:42 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2021-12-16 22:44:43 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2021-12-16 22:44:45 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf
2021-12-16 22:44:45 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2021-12-16 22:44:46 UTC/bin/sh -c #(nop) EXPOSE 9000
2021-12-16 22:44:46 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2021-12-30 22:04:29 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2021-12-30 22:04:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en # buildkit
2021-12-30 22:08:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2022-01-03 20:21:36 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2022-01-03 20:21:36 UTC (buildkit.dockerfile.v0)VOLUME [/var/roundcube/config]
2022-01-03 20:21:36 UTC (buildkit.dockerfile.v0)VOLUME [/var/roundcube/db]
2022-01-03 20:21:36 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2022-01-03 20:21:36 UTC (buildkit.dockerfile.v0)VOLUME [/tmp/roundcube-temp]
2022-01-03 20:21:36 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.5.2
2022-01-03 20:21:36 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2022-01-03 20:21:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2022-01-03 20:21:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2022-01-03 20:21:40 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2022-01-03 20:21:40 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh / # buildkit
2022-01-03 20:21:40 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2022-01-03 20:21:40 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]